import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_users_create_user(host):
    user = host.user("demouser")

    assert user.name == "demouser"
    assert user.shell == "/bin/sh"
    assert "wheel" in user.groups


def test_users_create_group(host):
    assert host.group("demogroup").exists
